<?php
/**
 * Yule Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Yule Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function yule_pro_custom_colors_css() {
  	$options= yule_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	a,
	.top-menu ul li a:hover, 
	.top-menu ul li a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a,
	.entry-meta > span a:hover, 
	.entry-meta > span a:focus,
	.featured-price .amount,
	.btn-default,
	.woocommerce-LoopProduct-link.woocommerce-loop-product__link:hover, 
	.woocommerce-LoopProduct-link.woocommerce-loop-product__link:focus, 
	.woocommerce-LoopProduct-link.woocommerce-loop-product__link:hover h2, 
	.woocommerce-LoopProduct-link.woocommerce-loop-product__link:focus h2,
	#latest-products .add_to_cart_button,
	#featured-product .entry-title a:hover, 
	#featured-product .entry-title a:hover, 
	#featured-product ins,
	#featured-product span.price, 
	#featured-product span.price ins,
	.trail-items li:last-child,
	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .button, 
	.woocommerce a.added_to_cart,
	.woocommerce .star-rating::before, 
	.woocommerce .woocommerce-product-rating .star-rating, 
	.woocommerce-message::before, 
	.woocommerce .woocommerce-breadcrumb a:hover, 
	.woocommerce .woocommerce-breadcrumb a:focus, 
	.woocommerce .woocommerce-breadcrumb, 
	.woocommerce #respond input#submit.disabled, 
	.woocommerce #respond input#submit:disabled, 
	.woocommerce #respond input#submit:disabled[disabled], 
	.woocommerce a.button.disabled, 
	.woocommerce a.button:disabled, 
	.woocommerce a.button:disabled[disabled], 
	.woocommerce button.button.disabled, 
	.woocommerce button.button:disabled, 
	.woocommerce button.button:disabled[disabled], 
	.woocommerce input.button.disabled, 
	.woocommerce input.button:disabled, 
	.woocommerce input.button:disabled[disabled], 
	.woocommerce-info::before, 
	.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover, 
	.woocommerce-cart tr.woocommerce-cart-form__cart-item.cart_item a:hover, 
	.woocommerce-cart tr.woocommerce-cart-form__cart-item.cart_item a:focus,
	#secondary ul li a:hover, 
	#secondary ul li a:focus,
	.woocommerce div.product p.price ins, 
	.woocommerce div.product span.price ins,
	.woocommerce div.product form.cart .button, 
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button, 
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.trail-items li a:hover, 
	.trail-items li a:focus,
	.woocommerce .products li a:hover .star-rating,
	.woocommerce .products li a:hover .star-rating:before,
	.woocommerce #secondary .star-rating,
	.woocommerce #secondary .widget_rating_filter li a,
	.site-info a,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.posts-wrapper.blog-posts .entry-meta > span.cat-links a,
	.posts-wrapper .entry-title a:hover, 
	.posts-wrapper .entry-title a:focus,
	.entry-footer .posted-on a:hover, 
	.entry-footer .posted-on a:focus, 
	.single-post-wrapper .cat-links a,
	.comments-link a:hover, 
	.comments-link a:focus,
	.post-navigation a:hover, 
	.posts-navigation a:hover, 
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	#secondary .woocommerce ul.product_list_widget li .star-rating,
	#respond input[type="submit"],
	.price_label,
	.added_to_cart.wc-forward,
	#latest-products li a:hover .star-rating {
	    color: '. esc_attr( $color_value ) .';
	}
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search, 
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search, 
	.top-menu li.search-menu a:hover svg, 
	.top-menu li.search-menu a:focus svg, 
	.top-menu li.search-menu a.search-active svg,
	.main-navigation ul#primary-menu li:hover > svg, 
	.main-navigation ul#primary-menu li:focus > svg, 
	.main-navigation li.menu-item-has-children:hover > a > svg, 
	.main-navigation li.menu-item-has-children > a:hover > svg, 
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.prev.page-numbers:hover svg, 
	.next.page-numbers:hover svg, 
	.prev.page-numbers:focus svg, 
	.next.page-numbers:focus svg, 
	.pagination .page-numbers.prev svg, 
	.pagination .page-numbers.next svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.widget_search form.search-form button.search-submit:hover svg, 
	.widget_search form.search-form button.search-submit:focus svg,
	.widget_product_search form.search-form button.search-submit:hover svg,
	.widget_product_search form.search-form button.search-submit:focus svg,
	.blog-loader svg {
	    fill: '. esc_attr( $color_value ) .';
	}
	.btn-primary,
	.btn-default:hover, 
	.btn-default:focus,
	#latest-products .add_to_cart_button:hover, 
	#latest-products .add_to_cart_button:focus,
	#our-services,
	.separator,
	.section-title:after, 
	.jetpack_subscription_widget .widgettitle:after, 
	.jetpack_subscription_widget .widget-title:after,
	.backtotop,
	#colophon,
	span.onsale, 
	.woocommerce ul.products li.product .onsale,
	.woocommerce ul.products li.product .button:hover, 
	.woocommerce ul.products li.product .button:focus, 
	.woocommerce a.added_to_cart:hover, 
	.woocommerce a.added_to_cart:focus,
	.woocommerce nav.woocommerce-pagination ul li a:focus, 
	.woocommerce nav.woocommerce-pagination ul li a:hover, 
	.woocommerce nav.woocommerce-pagination ul li span.current,
	.single-product.woocommerce span.onsale,
	.woocommerce div.product form.cart .button:hover, 
	.woocommerce div.product form.cart .button:focus, 
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover, 
	.woocommerce #respond input#submit:focus, 
	.woocommerce a.button:focus, 
	.woocommerce button.button:focus, 
	.woocommerce input.button:focus, 
	.woocommerce #respond input#submit.disabled:hover, 
	.woocommerce #respond input#submit:disabled:hover, 
	.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.woocommerce a.button.disabled:hover, 
	.woocommerce a.button:disabled:hover, 
	.woocommerce a.button:disabled[disabled]:hover, 
	.woocommerce button.button.disabled:hover, 
	.woocommerce button.button:disabled:hover, 
	.woocommerce button.button:disabled[disabled]:hover, 
	.woocommerce input.button.disabled:hover, 
	.woocommerce input.button:disabled:hover, 
	.woocommerce input.button:disabled[disabled]:hover, 
	.woocommerce #respond input#submit.alt:hover, 
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover, 
	.woocommerce #respond input#submit.alt:focus, 
	.woocommerce a.button.alt:focus, 
	.woocommerce button.button.alt:focus, 
	.woocommerce input.button.alt:focus,
	.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
	nav.woocommerce-MyAccount-navigation ul li.is-active a,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.pagination .page-numbers.prev:hover, 
	.pagination .page-numbers.next:hover, 
	.pagination .page-numbers.prev:focus, 
	.pagination .page-numbers.next:focus,
	#respond input[type="submit"]:hover, 
	#respond input[type="submit"]:focus,
	.woocommerce .widget_price_filter .ui-slider .ui-slider-handle, 
	.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
	.woocommerce .widget_price_filter .price_slider_amount .button:hover, 
	.woocommerce .widget_price_filter .price_slider_amount .button:focus,
	.added_to_cart.wc-forward:hover, 
	.added_to_cart.wc-forward:focus {
		background-color: '. esc_attr( $color_value ) .';
	}
	.btn-default,
	#latest-products .add_to_cart_button,
	.woocommerce ul.products li.product .button, 
	.woocommerce a.added_to_cart, 
	.added_to_cart.wc-forward,
	.woocommerce div.product form.cart .button, 
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button, 
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt,
	.woocommerce nav.woocommerce-pagination ul li a, 
	.woocommerce nav.woocommerce-pagination ul li span {
	    background-color: rgba(0, 0, 0, 0.10);
	}
	.top-menu ul li a:hover .count,
	.btn-default:hover, 
	.btn-default:focus,
	.woocommerce div.product .woocommerce-tabs ul.tabs::before, 
	.woocommerce div.product .woocommerce-tabs ul.tabs li.active,
	.woocommerce-message, 
	.woocommerce-info {
		border-color: '. esc_attr( $color_value ) .';
	}

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .'; }
	    25% {height:30px;transform:translateY(15px);background: '. esc_attr( $color_value ) .'; }
	    50% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .'; }
	    100% {height:5px;transform:translateY(0px);background: '. esc_attr( $color_value ) .'; }
	}
	';

	/**
	 * Filters Yule Pro custom colors CSS.
	 *
	 * @since Yule Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'yule_pro_custom_colors_css', $css );
}
