<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'yule_pro_excerpt_section', array(
	'title'             => esc_html__( 'Excerpt','yule-pro' ),
	'description'       => esc_html__( 'Excerpt section options.', 'yule-pro' ),
	'panel'             => 'yule_pro_theme_options_panel',
) );


// long Excerpt length setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[long_excerpt_length]', array(
	'sanitize_callback' => 'yule_pro_sanitize_number_range',
	'validate_callback' => 'yule_pro_validate_long_excerpt',
	'default'			=> $options['long_excerpt_length'],
) );

$wp_customize->add_control( 'yule_pro_theme_options[long_excerpt_length]', array(
	'label'       		=> esc_html__( 'Blog Page Excerpt Length', 'yule-pro' ),
	'description' 		=> esc_html__( 'Total words to be displayed in archive page/search page.', 'yule-pro' ),
	'section'     		=> 'yule_pro_excerpt_section',
	'type'        		=> 'number',
	'input_attrs' 		=> array(
		'style'       => 'width: 80px;',
		'max'         => 100,
		'min'         => 5,
	),
) );

// Read more text.
$wp_customize->add_setting( 'yule_pro_theme_options[read_more_text]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['read_more_text'],
) );

$wp_customize->add_control( 'yule_pro_theme_options[read_more_text]', array(
	'label'       => esc_html__( 'Read More Text', 'yule-pro' ),
	'section'     => 'yule_pro_excerpt_section',
	'type'        => 'text',
) );