<?php
/**
 * Header Menu options
 *
 * @package Theme Palace
 * @subpackage Yule Pro
 * @since Yule Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'yule_pro_menu', array(
	'title'               => esc_html__('Header Menu','yule-pro'),
	'description'         => esc_html__( 'Header Menu options.', 'yule-pro' ),
	'panel'               => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'yule_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'yule_pro_sanitize_switch_control',
	'default'             => $options['menu_sticky'],
) );

$wp_customize->add_control( new Yule_Pro_Switch_Control( $wp_customize, 'yule_pro_theme_options[menu_sticky]', array(
	'label'               => esc_html__( 'Make Menu Sticky', 'yule-pro' ),
	'section'             => 'yule_pro_menu',
	'on_off_label' 		=> yule_pro_switch_options(),
) ) );
